# Class AccountExistsRequest

#### Hierarchy

- unknown
  - AccountExistsRequest

- Defined in src/protobuf/grpc_pb.d.ts:74
- Defined in src/protobuf/grpc_pb.d.ts:83

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AccountExistsRequest(): AccountExistsRequest

- #### Returns AccountExistsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:75

### toObject

- toObject(includeInstance?: boolean): AccountExistsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AccountExistsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:76

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AccountExistsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AccountExistsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:79

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AccountExistsRequest, reader: BinaryReader): AccountExistsRequest

- #### Parameters

  - ##### message: AccountExistsRequest

  - ##### reader: BinaryReader

  #### Returns AccountExistsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:80

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AccountExistsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AccountExistsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:78

### `Static` toObject

- toObject(includeInstance: boolean, msg: AccountExistsRequest): AccountExistsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AccountExistsRequest

  #### Returns AccountExistsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:77

Generated using TypeDoc